	var xmlhttp = false;
	var currentPos = null;
	
	if(window.XMLHttpRequest)
	{
		xmlhttp = new XMLHttpRequest();
		if (xmlhttp.overrideMimeType) {
			xmlhttp.overrideMimeType('text/xml');
		}
	}
	else if (window.ActiveXObject) 
	{
		try {
			xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
		} catch (e) {
			try {
				xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
			} catch (e) {}
		}
	}
	function sendRequest(url) {

		if (!xmlhttp) { 
			window.alert("出现错误，请更换浏览器再试。");
			return false;
		}
		xmlhttp.open("GET", url, true);
		xmlhttp.onreadystatechange = processRequest;
		xmlhttp.send(null);
	}

	function processRequest()
	{
        if (xmlhttp.readyState == 4) {
            if (xmlhttp.status == 200) {
			  document.getElementById('category').innerHTML = xmlhttp.responseText;
            } else {
                alert("出现错误，请检查文件完整性。");
            }
        }
    }

	function get_category( id )
	{
		sendRequest("get_category2.php?id="+id);
	}

   
function simOptionClick4IE(){    
    var evt=window.event  ;    
    var selectObj=evt?evt.srcElement:null;    
    if (evt && selectObj &&  evt.offsetY && evt.button!=2    
        && (evt.offsetY > selectObj.offsetHeight || evt.offsetY<0 ) ) {    
            var oldIdx = selectObj.selectedIndex;    
   
            setTimeout(function(){    
                var option=selectObj.options[selectObj.selectedIndex];    
                get_category( selectObj.options.value )    
            }, 60);    
    }    
}    
   